@echo off

REM [RAID_Configuration_IPSSEND]
    rem *********************************************************************
    rem * This sample batch file configures a single channel on a single
    rem * IBM ServeRAID of the following types:  
    rem *     4H, 4Lx, 4Mx, 5i, 6i, 6i+, 6M, 7k
    rem *********************************************************************

    rem *********************************************************************
    rem * Defines the DOS RAID utility to use to configure this type of RAID
    rem * controller.   This value MUST NOT be changed.
    rem *
    rem * Valid value is: IPSSEND
    rem *********************************************************************
    set RDTYPE=IPSSEND

    rem *********************************************************************
    rem * Defines the adapter to be configured.
    rem *********************************************************************
    SET DV_NUM=1

    rem *********************************************************************
    rem * Defines the size(s) of the RAID logical drive(s) in MB or use the
    rem * keyword - MAX.
    rem *
    rem * LD1 will be applied during the initial array-creation.
    rem * LD2 - LD4 are optional and will be applied to any additional
    rem * logical drives on the created Array.
    rem * See also RL1 - RL4.
    rem *********************************************************************
    set LD1=MAX
    set LD2=
    set LD3=
    set LD4=


    rem *********************************************************************
    rem * Defines the RAID level.
    rem * Valid values are:
    rem *   0  - Stripes the data across all the drives in the array.
    rem *   1  - Uses data mirroring.
    rem *   1E - Combines mirroring with data stripping.
    rem *   5  - Stripes data and parity across all the drives in the array.
    rem *   5E - Same as Level 5, with built-in spare drive.
    rem *   5EE- Same as Level 5E, with a more efficient distributed spare
    rem *        drive and faster rebuild times.
    rem *
    rem *   RL1 will be applied during the initial array-creation.
    rem *   RL2 - RL4 are optional and will be applied to any additional
    rem *   logical drives on the created Array.
    rem *   See also: LD1 - LD4
    rem *********************************************************************
    set RL1=1
    set RL2=
    set RL3=
    set RL4=

    rem *********************************************************************
    rem * Defines the hard drives to be configured in the ServeRAID array.
    rem * Hard drives are defined by the ServeRAID adapter channel and 
    rem * SID pairing {channel sid}.  Where channel is the channel number 
    rem * of the ServeRAID adapter and SID is the SCSI ID for the drive to 
    rem * be included in the ServeRAID array, separated by a space.  
    rem * 
    rem * Usage examples:
    rem *     1.  Configure 2 drives with SIDs of 0 & 1 on the first channel:
    rem *             1 0 1 1
    rem *
    rem *     2.  Configure 3 drives with SIDs 8, 9 and 10 on channel 2:  
    rem *             2 8 2 9 2 10
    rem *
    rem *     3.  Create an array using two channels and including 5 drives: 
    rem *         (using the same hardware as above)
    rem *             1 0 1 1 2 8 2 9 2 10
    rem *
    rem * Valid channel number values are (based on the adapter):  1 - 4
    rem * Valid SID values are:  0 - 15
    rem * Valid number of repetitions of {channel sid}:  16
    rem *********************************************************************
    set CSG=1 0 1 1

    rem *********************************************************************
    rem * Defines the channel - SCSI ID pairing for the hot spare drive(s).
    rem * 
    rem * Usage examples:
    rem *     1.  Configure 1 hot spare drive with a SID of 2 on the first 
    rem *         channel:
    rem *             1 2
    rem *********************************************************************
    set HS1_CSG=
    set HS2_CSG=
