@echo off

REM [RAID_Configuration_RAIDSEL]
    rem *********************************************************************
    rem * This batch file configures a ServeRAID e-type SCSI controller.
    rem *********************************************************************

    rem *********************************************************************
    rem * Defines the DOS RAID utility to use to configure this type of RAID
    rem * controller.   This value MUST NOT be changed.
    rem *
    rem * Valid value is: RAIDSEL
    rem *********************************************************************
    set RDTYPE=RAIDSEL


    rem *********************************************************************
    rem * Defines whether or not to use PAD1 as a master drive in the array.
    rem * Valid values:
    rem *   N - No, do not define PAD1 as the master drive
    rem *   Y - Yes, define PAD1 as the master drive
    rem *********************************************************************
    set MAS=N

    rem *********************************************************************
    rem * Defines the stripe size for RAID 0.
    rem * Valid values:  16KB, 32KB, or 64KB
    rem *********************************************************************
    set STRIPE=64KB

    rem *********************************************************************
    rem * Defines the RAID Level for the array.
    rem * Valid values:  
    rem *   0  - Stripes the data across all the drives in the array.
    rem *   1  - Uses data mirroring.
    rem *********************************************************************
    set RL=1

    rem *********************************************************************
    rem * Defines the physical address for the drive to be included in the 
    rem * array.  (Device/array address) 
    rem *********************************************************************
    set PAD1=d0b0t0l0
    set PAD2=d0b0t1l0


    rem *********************************************************************
    rem * Defines whether to or not to define a hot spare drive. 
    rem * Valid values:
    rem *   N - No, do not define a hot spare drive
    rem *   Y - Yes, define a hot spare drive
    rem *********************************************************************
    set DEF_HS=N

    rem *********************************************************************
    rem * Defines the physical address of drive to be the hot spare drive.
    rem *********************************************************************
    set HS_PAD1=

