@echo off

rem ********************************************************************************
rem *
rem * ERASEDRV.BAT
rem *
rem * This file erases hard disk drives of data and partitions.
rem *
rem * This batch file is called by the rundisp.bat.
rem *
rem ********************************************************************************


rem ********************************************************************************
rem * Run the scrub utility with the parameters that were set in usrvars.bat.  The
rem * Scrub utility will erase all data on the drive(s) specified.   It will also
rem * remove any partitions it finds on the drive(s) specified.
rem ********************************************************************************
if %STYPE%==1 goto SEC_LVL
if %STYPE%==2 goto NWRITES


:SEC_LVL
rem ********************************************************************************
rem * The security level of the disposal operation.
rem ********************************************************************************

if "%SSIGN%"=="NO" goto SNO_SIG

:S_SIG
rem ********************************************************************************
rem * Security level disposal with Scrub signature
rem ********************************************************************************
echo Scrub %DRV_NUM% drive(s) found in the system.
scrub3.exe /d=%DRV_NUM% /l=%SL%

if not errorlevel 1 goto STATCK
echo An error occurred during scrubbing the drive.
goto ERROR

:SNO_SIG
rem ********************************************************************************
rem * Security level disposal with NO Scrub signature
rem ********************************************************************************
echo Scrub %DRV_NUM% drive(s) found in the system.
scrub3.exe /d=%DRV_NUM% /l=%SL% /s=%SSIGN%

if not errorlevel 1 goto STATCK
echo An error occurred during scrubbing the drive.
goto ERROR



:NWRITES
rem ********************************************************************************
rem * The number of times each sector is overwritten
rem ********************************************************************************

if "%SSIGN%"=="NO" goto NWNO_SIG

:NW_SIG
rem ********************************************************************************
rem * Number of sector overwrites with Scrub signature
rem ********************************************************************************
echo Scrub %DRV_NUM% drive(s) found in the system.
scrub3.exe /d=%DRV_NUM% /w=%SW%

if not errorlevel 1 goto STATCK
echo An error occurred during scrubbing the drive.
goto ERROR

:NWNO_SIG
rem ********************************************************************************
rem * Number of sector overwrites with NO Scrub signature
rem ********************************************************************************
echo Scrub %DRV_NUM% drive(s) found in the system.
scrub3.exe /d=%DRV_NUM% /w=%SW% /s=%SSIGN%

if not errorlevel 1 goto STATCK
echo An error occurred during scrubbing the drive.
goto ERROR



:STATCK
rem ********************************************************************************
rem * If doing an Altiris installation, jump to status
rem ********************************************************************************
if %DPLY_TYPE%==4 goto ALTSTAT0

goto END



:ERROR
rem ********************************************************************************
rem * Hit an error in this batch file.
rem ********************************************************************************
echo Encountered an error, stop processing.  Problem in "erasedrv.bat".

if %DPLY_TYPE%==4 goto ALTSTAT1

savestat.exe /set2=251 > nul

goto END


:ALTSTAT0
rem ********************************************************************************
rem * Update Altiris with necessary status
rem ********************************************************************************
echo Updating Altiris status: Good
%TKDRV%\logevent.exe -c:0 -l:1 -ss:"ERASEDRV: Completed successfully."
goto END


:ALTSTAT1
rem ********************************************************************************
rem * Update Altiris with necessary status
rem ********************************************************************************
echo Updating Altiris status: Error
%TKDRV%\logevent.exe -c:251 -l:3 -ss:"ERASEDRV:  Encountered an error."

rem Reset persistent storage
savestat.exe /reset > nul
goto END


:END
