@echo off

rem ********************************************************************************
rem *
rem * RUNDISP.BAT
rem *
rem * This file controls the ServeGuide Scripting Toolkit disposal process.
rem * Environment variables used here are defined in usrvars.bat file.   When the
rem * processing of this file is complete, the system will be free of data,
rem * partitions and any RAID adapters will be set to factory defaults.
rem *
rem * This batch file is called by the autoexec.bat.
rem *
rem ********************************************************************************

rem Clear the screen and display the Toolkit header
call stkhder.bat
echo.
echo Kick off the ServerGuide Scripting Toolkit disposal process.


:CLNDRV
rem ********************************************************************************
rem * Erase data and partitions from hard disk drive(s) as directed by variables in
rem * usrvars.bat
rem ********************************************************************************
call erasedrv.bat

rem ********************************************************************************
rem * Check for errors from CLNDRV
rem ********************************************************************************
savestat.exe /get2 > nul

rem ********************************************************************************
rem * Check for errors: SAVESTAT.EXE
rem ********************************************************************************
FOR %%i in (251 255) do if errorlevel %%i goto ERROR


:CKRAID
rem ********************************************************************************
rem * Reset ALL RAID adapters/controllers to factory defaults as directed by 
rem * variables in usrvars.bat
rem ********************************************************************************
FOR %%i in (y Y) do if %RD_RFD% == %%i goto CLNRAID
goto SAVESTAT


:CLNRAID
set CFG_RD=N

call cfgraid.bat

rem ********************************************************************************
rem * Check for errors from CFGRAID
rem ********************************************************************************

savestat.exe /get2 > nul

rem ********************************************************************************
rem * Check for errors: SAVESTAT.EXE
rem ********************************************************************************
FOR %%i in (251 255) do if errorlevel %%i goto ERROR


:SAVESTAT
rem ********************************************************************************
rem * Clear persistent storage.
rem ********************************************************************************
echo Reset persistent storage area.
savestat.exe /reset > nul


rem ********************************************************************************
rem * Check for errors: SAVESTAT.EXE
rem *
rem * The errorlevel here controls the disposal process.
rem ********************************************************************************
if errorlevel 255 goto ERROR


goto SUCCESS


:ERROR
rem ********************************************************************************
rem * Hit an error in this batch file.
rem ********************************************************************************
echo Encountered an error, stop processing.  Problem in "rundisp.bat".
goto END


:SUCCESS
rem Clear the screen and display the Toolkit header
if %DPLY_TYPE%==5 reboot.com
call stkhder.bat
echo.
echo ServerGuide Scripting Toolkit disposal process completed successfully.

:END

