@echo off

rem ********************************************************************************
rem *
rem * COPYSGDD.BAT
rem *
rem * This file controls the the setup of the ServerGuide set of device drivers on 
rem * the newly created NOS partition for the ServerGuide Scripting Toolkit.  
rem *
rem * This batch file is called by the instos.bat.
rem *
rem ********************************************************************************

rem ********************************************************************************
rem * Change to NOS installation drive, make sure in root.
rem ********************************************************************************
%NOSDRV%
cd \

rem ********************************************************************************
rem * Create application directory
rem ********************************************************************************
md %APPS_DIR%


rem ********************************************************************************
rem * Create toolkit utilities directory
rem ********************************************************************************
md %WRK_DIR%
cd %WRK_DIR%

rem ********************************************************************************
rem * Create the $OEM$ structure needed by unattended Windows installation
rem ********************************************************************************
md $OEM$
cd $OEM$

md $1
cd $1

md DRV
cd DRV

:CPDRVDIR
rem ********************************************************************************
rem * Use full path to ServerGuide set of device drivers DRV directory
rem ********************************************************************************
xcopy %DSET_PATH%\*.* /s

rem ********************************************************************************
rem * Check for errors: XCOPY.EXE
rem ********************************************************************************
if not errorlevel 1 goto RESETPT
echo An error occurred during xcopy of the DRV directory to the target.
echo Source path = %DSET_PATH%
echo.
goto ERROR



:RESETPT
cd \%WRK_DIR%
goto END


:ERROR
rem ********************************************************************************
rem * Hit an error in this batch file.
rem ********************************************************************************
echo Encountered an error and stopped processing in "copyssdd.bat".

savestat.exe /set2=251 > nul

goto END


:END