@echo off

rem ********************************************************************************
rem *
rem * GENTXTMD.BAT
rem *
rem * This file dynamically generates the textmode directory for the set of device
rem * drivers copied to the NOS partition by copysgdd.bat for the ServerGuide 
rem * Scripting Toolkit.  
rem *
rem * This batch file is called by the instos.bat.
rem *
rem ********************************************************************************


rem ********************************************************************************
rem * Change to the target path
rem ********************************************************************************
%NOSDRV%
cd \%WRK_DIR%

rem ********************************************************************************
rem * Store the machine type as an environment variable
rem ********************************************************************************
CLIni.exe HWDetect.ini /S:System /I:Machine_Type /E:MACHTYPE

rem ********************************************************************************
rem Check for errors: CLINI.EXE
rem ********************************************************************************
if not errorlevel 1 goto RUNBAT1
echo An error occurred running clini.exe on HWDetect.ini.
goto ERROR

:RUNBAT1
call CLIniSet.bat

rem ********************************************************************************
rem * Store the Windows version of the device drivers as an environment variable
rem ********************************************************************************
CLIni.exe $oem$\$1\drv\DrvSet.ini /S:Main /I:Windows Version /E:OS_VER

rem ********************************************************************************
rem Check for errors: CLINI.EXE
rem ********************************************************************************
if not errorlevel 1 goto RUNBAT2
echo An error occurred running clini.exe on $oem$\$1\drv\DrvSet.ini.
echo.
goto ERROR


:RUNBAT2
rem ********************************************************************************
rem * Set the environment variable
rem ********************************************************************************
call CLIniSet.bat



:DSCAN
rem ********************************************************************************
rem * Dynamically create the $oem$\textmode directory for this machine type
rem ********************************************************************************
DScan.exe $OEM$\$1\DRV /T /M:%MACHTYPE% /V:2 /W:%OS_VER%


rem ********************************************************************************
rem * Check for errors: DSCAN.EXE
rem ********************************************************************************
if not errorlevel 1 goto END
echo An error occurred running dscan.exe.
echo.
goto ERROR


:ERROR
rem ********************************************************************************
rem * Hit an error in this batch file.
rem ********************************************************************************
echo Encountered an error and stopped processing in "gentxtmd.bat".

savestat.exe /set2=251 > nul

goto END


:END

